Search Issue Tracker

Fixed in 2022.1.X

Fixed in 2021.2.X

Votes

0

Found in

2022.1.0a5

Issue ID

1356909

Regression

Yes

"Insecure connection is not allowed" error is shown when "View documentation" button is pressed in Package Manager

Packman

-

Steps to reproduce:
1. Create a new project
2. Open Window>Package Manager
3. Select Timeline package
4. Press the "View documentation" button

Expected result: The documentation website is opened
Actual result: "InvalidOperationException: Insecure connection not allowed" error is thrown

Reproducible with: 2022.1.0a5
Not reproducible with: 2019.4.29f1, 2020.3.16f1, 2021.1.17f1, 2021.2.0b7, 2022.1.0a4

Workaround: Edit -> Project Settings -> Player -> Other Settings -> Configuration -> Allow downloads over HTTP

Note: The error is shown with any Package

  1. Resolution Note (fix version 2022.1):

    Fixed in 2022.1.0a10

  2. Resolution Note (fix version 2021.2):

    Fixed in 2021.2.0b15

Comments (3)

  1. mr_popo

    Aug 15, 2022 22:12

    2022.1.10f1 this issue is still showing up. The workaround may be okay in the Editor but I'm not sure if it would work when building out to iOS. There is an old StackOverflow response saying that the NSAppTransportSecurity may be removed in the future. https://stackoverflow.com/questions/39296567/you-are-using-download-over-http-currently-unity-adds-nsallowsarbitraryloads-to

  2. FullMe7alJacke7

    Aug 10, 2022 10:32

    Unity 2022.1.6f1
    Currently experiencing this as well.

  3. Thaina

    May 25, 2022 05:06

    2022.1.1f1 still got this

    > System.InvalidOperationException: Insecure connection not allowed

Add comment

Log in to post comment

All about bugs

View bugs we have successfully reproduced, and vote for the bugs you want to see fixed most urgently.